# alignment bottom_middle
alignment top_middle

default_color black
# default_outline_color black
# default_shade_color black
double_buffer yes

draw_borders no
draw_graph_borders no
draw_outline no
draw_shades no

no_buffers yes
# override_utf8_locale yes


own_window yes
#-----------------------------------------------------------
# change this if you are not getting any conky display
# options are: normal, desktop, dock, panel or override (default: normal)
#-----------------------------------------------------------
own_window_type normal
own_window_type normal
#-----------------------------------------------------------
# uncomment below hints line if not using override
#-----------------------------------------------------------
own_window_hints below,sticky,undecorated,skip_taskbar,skip_pager
own_window_hints below,sticky,undecorated,skip_taskbar,skip_pager

# own_window_colour black
own_window_transparent yes
own_window_class Conky

# ARGB can be used for real transparency,
# note that a composite manager is required for real transparency
# own_window_argb_visual true

# Set the transparency alpha value from 0 to 255
# own_window_argb_value 100

# color defs - change as required
# color1 Tan1
# color2 Gray
# color3 White
# color4 DarkSlateGray
# color5 yellow
color6 black
# color7 darkgrey
# color8 cyan

# maximum_width 470
# minimum_size 500 1
# maximum_width 400
# minimum_size 400 300
# maximum_width 690
# minimum_size 690 1040
# maximum_width 900
# minimum_size 900 1040
maximum_width 900
minimum_size 900 1050
gap_x 0
# gap_x -40
gap_y 25


use_xft yes
xftalpha 0.8
#-----------------------------------------------------------
# Change the xftfont size value if the template is not
# appearing aligned
#-----------------------------------------------------------
# xftfont DejaVu Sans:size=12
xftfont DejaVu Sans Mono:size=12
# xftfont DroidSansFallback:size=10
# xftfont DejaVu Sans Mono:size=12
# xftfont DroidSans:size=12
# xftfont FreeSerif:size=15
# xftfont FreeSans:size=10


# total_run_times 0

# this value is in bytes - do not sting over this ;-)
text_buffer_size 1000
# text_buffer_size 50000
# update_interval 60
update_interval 5

# short_units yes



#-----------------------------------------------------------
# Load lua component of conkywx
#-----------------------------------------------------------
lua_load /usr/share/conkywx/lib/conkywx.lua

#-----------------------------------------------------------
# location of image file - conkywx tmp directory for the used conkywx config file
# IMPORTANT do not comment this line - even if you do not use it
#-----------------------------------------------------------
template1 ./examples/conkywx-02.conf
template2 /tmp/wx-param-conkywx-02.conf-pChA_r_27u0-m39/gwsi_image.gif
template3 /tmp/wx-param-conkywx-02.conf-pChA_r_27u0-m39/gisi_image.jpg
template7 /tmp/wx-param-conkywx-02.conf-pChA_r_27u0-m39/seismic

imlib_cache_size 0

TEXT
#### small images
# ${lua main -n background -r 5 -c 0x777777:0.8 -s 810,302 -p 2,2}
# ${lua main -n background -r 5 -c 0x777777:0.8 -s 405,250 -p 2,310}
####----------------------------------
${if_existing ${template1}} ${image ${template1} -p 0, 0 -s 200x150}${else}No CIMSS Surface Analysis Image${endif}
${if_existing ${template3}} ${image ${template3} -p 205, 0 -s 200x150}${else}${goto 510}No Intellicast Surface Analysis Image${endif}
# ${if_existing ${template2}} ${image ${template2} -p 0, 155 -s 200x125}${else}${goto 310}No Wund Surface Analysis Image${endif}
####----------------------------------
# ${if_existing ${template1}} ${image ${template1} -p 0, 0 -s 400x300}${else}No CIMSS Surface Analysis Image${endif}
# ${if_existing ${template3}} ${image ${template3} -p 405, 0 -s 400x300}${else}${goto 510}No Intellicast Surface Analysis Image${endif}
# ${if_existing ${template2}} ${image ${template2} -p 0, 305 -s 400x250}${else}${goto 310}No Wund Surface Analysis Image${endif}
#### large images
# ${lua main -n background -r 5 -c 0x777777:0.9 -s 805,905 -p 2,2}
# ${if_existing ${template1}} ${image ${template1} -p 0, 0 -s 800x600}${else}No CIMSS Surface Analysis Image${endif}
# ${if_existing ${template2}} ${image ${template2} -p 0, 600 -s 400x300}${else}${goto 310}No Wund Surface Analysis Image${endif}
# ${if_existing ${template3}} ${image ${template3} -p 400, 600 -s 400x300}${else}${goto 510}No Intellicast Surface Analysis Image${endif}
# ${if_existing ${template7}} ${lua main -n background -r 25 -c 0x333333:0.6 -s 695,410 -p 5,640}
# ${lua main -n scroller -b 1 -f 12 -l 40 -s 15 -p 12,660 -o ${template7} -k nepal }${endif}
####-----------------------------------------------------------------
####------------- Earth Quake / Seismic data Example ----------------
#### if -b is 3 with or without colour - the widget will be positioned from bottom up
#### to align from top - set -b to 4 and what ever colour - as required ...
#### the top value is taken from conky config gap_y setting
#### The Height of the window is important
#### - see above for "minimum_size 900 1050" - 1050 is height of window
#### change the number records in config file - the widget will auto position itself.
${if_existing ${template7}}#
${lua main -n scroller -b 3::0x333333:0.6 -f 12 -l 40 -s 15 -p 12,1 -o ${template7} }${endif}
#


