#!/usr/bin/perl



=comments
    -----------------------------------------------------------------------
    Copyright GPL v3 - Paramvir Likhari 2018
    -----------------------------------------------------------------------
=cut

my $version   = $ENV{version} ;

use strict;
use warnings;

use Data::Dumper;
use FindBin;
use lib "$FindBin::RealBin";

sub msgout  { print STDERR "@_ \n" }

if (! defined $ARGV[0]) { die "Error :( no command line arguments found $!" }
my ( $jsonFile ) = $ARGV[0] ;

if ( -e $jsonFile ) {

    my ( $pwsstr  ) ;
    {
    open (FILE, "<:crlf", $jsonFile ) or die "No pws data file $!";
        local $/ = undef;
        $pwsstr = <FILE> ;
    close (FILE);
    }

    require jsonPP;
    jsonPP->import( qw(decode_json) );

    my $dec = decode_json( $pwsstr ) ;

    # msgout( Dumper($dec));
    msgout( $$pwsstr{nearby_weather_stations}{pws}{station}[0]{id} );

    die;

}

return


