#!/bin/bash

# to enable on systemd systems use cronie is part of the Arch base install
# sudo systemctl enable cronie.service
# to enable the cron job
# type sudo crontab -e and add following to run every 3 hours
# 0 */3 * * * /path_to_file/cron_pacman_update.sh
# To see in the conky desktop:
# Place this line above the TEXT area with correct path
# template0 $WX_DIR/lib/conky_pacman_update.sh
# Place this line anywhere below the TEXT
# ${color3}Package Updates:${alignr}${color1}${execi 10 ${template0}}${font}



# path to my_cron log so you know it is on the job
# logfile="/home/param/bin/scripts/my_cron.log"
nowtime=$( date +"%a %b, %d %Y %R %Z" )

# echo "Ran pacman cron at: $nowtime" >> $logfile

pacman -Sy 1>/dev/null 2>&1

if [[ $? -ne 0 ]]; then
	echo "*** Houston we got a problem at: $nowtime ***" >> $logfile
	exit 1
fi

