alignment tl

# default_color white
# default_outline_color black
# default_shade_color black
double_buffer yes

draw_borders no
draw_graph_borders no
draw_outline no
draw_shades no

no_buffers yes
override_utf8_locale yes


own_window yes
#-----------------------------------------------------------
# change this if you are not getting any conky display
# options are: normal, desktop, dock, panel or override (default: normal)
#-----------------------------------------------------------
own_window_type normal
#-----------------------------------------------------------
# uncomment below hints line if not using override
#-----------------------------------------------------------
own_window_hints below,sticky,undecorated,skip_taskbar,skip_pager

# own_window_colour grey
own_window_transparent yes
own_window_class Conky

# ARGB can be used for real transparency,
# note that a composite manager is required for real transparency
# own_window_argb_visual true

# Set the transparency alpha value from 0 to 255
# own_window_argb_value 100

# color defs - change as required
color1 Tan1
color2 Gray
color3 White
color4 DarkSlateGray
color5 yellow
color6 black
color7 darkgrey
color8 cyan

# maximum_width 470
# minimum_size 500 1
maximum_width 636
minimum_size 636 1100

use_xft yes
xftalpha 0.8
#-----------------------------------------------------------
# Change the xftfont size value if the template is not
# appearing aligned
#-----------------------------------------------------------
# xftfont DejaVu Sans:size=12
xftfont DejaVu Sans Mono:size=12
# xftfont DroidSansFallback:size=10
# xftfont DejaVu Sans Mono:size=12
# xftfont DroidSans:size=12
# xftfont FreeSerif:size=15
# xftfont FreeSans:size=10

total_run_times 0

# this value is in bytes - do not sting over this ;-)
# text_buffer_size 14000
text_buffer_size 90000
update_interval 3

short_units yes

# Fonts used
# ConkyWindNESW, ConkyWeather, Moon Phases, DejaVu Sans Mono

gap_x 0
gap_y 30

#-----------------------------------------------------------
# Load lua component of conkywx
#-----------------------------------------------------------
lua_load /usr/share/conkywx/lib/conkywx.lua

#-----------------------------------------------------------
# template0 points to the main program conkywx
#-----------------------------------------------------------
# template0 "\"$WX_DIR/conkywx\""
template0 ./conkywx.sh

#-----------------------------------------------------------
# template1 points to the conkywx config file
# single config file for both image and font templates
#-----------------------------------------------------------
# template1 "\"$WX_DI./examples/conkywx-02.conf\""
template1 ./examples/conkywx-02.conf
# template1 ./examples/conkywx.conf

#-----------------------------------------------------------
# template2 points to the template to use
# comment the template you do not want to use
#-----------------------------------------------------------
#### font template section ---------------------------------
# template2 ./examples/short-02-font-template.sh
#### image template section --------------------------------
# template2 "\"$WX_DI./examples/short-02-image-template.sh\""
template2 ./examples/big-luamix-template.sh
# template9 20 * 20
imlib_cache_size 0

# template0 /usr/share/conkywx/conkywx.sh
# template1 ./examples/lua-display.conf


#-----------------------------------------------------------
# location of wxalert file - conkywx tmp directory for the used conkywx config file
# IMPORTANT do not comment this line - even if you do not use it
#-----------------------------------------------------------
template9 /tmp/wx-param-conkywx-02.conf-pChA_r_27u0-m39/wxalert
template7 /tmp/wx-param-conkywx-02.conf-pChA_r_27u0-m39/tides
# template7 /tmp/wx-param-conkywx-02.conf-pChA_r_27u0-m39/seismic


TEXT
# ${execpi 3600 ${template0} -c ${template1} -t ${template2}}
${execpi 1800 ${template0} -c ${template1} -t ${template2}}

