alignment top_left
# alignment top_right
# alignment top_middle
# alignment bottom_left
# alignment bottom_right
# alignment bottom_middle
# alignment middle_left
# alignment middle_middle
# alignment middle_right

default_color white
default_outline_color black
default_shade_color black
double_buffer yes

# draw_borders no
# draw_graph_borders no
# draw_outline no
draw_shades yes

no_buffers yes
override_utf8_locale yes


own_window yes
own_window_class Conky

#-------------------------------------------------------------------
# to get a Desktop window like Stormcloud or Google Now
# comment override line and uncomment desktop line
#-------------------------------------------------------------------
own_window_type normal
own_window_type normal
own_window_transparent yes

#-------------------------------------------------------------------
# to get a Desktop window like Stormcloud or Google Now
# uncomment
#-------------------------------------------------------------------
own_window_type normal
# own_window_transparent no
# own_window_title Conkywx Wunderground Weather

#-------------------------------------------------------------------
# to get a Desktop window like Stormcloud or Google Now
# uncomment though not really required
#-------------------------------------------------------------------
own_window_hints below,sticky,undecorated,skip_taskbar,skip_pager

#-------------------------------------------------------------------
# to get a Desktop window like Stormcloud or Google Now
# uncomment background colour
#-------------------------------------------------------------------
# own_window_colour darkblue
own_window_colour blue
# own_window_colour darkred
# own_window_colour red
# own_window_colour black
# own_window_colour darkgreen
# own_window_colour green
# own_window_colour white
# own_window_colour grey
# own_window_colour darkgrey
# own_window_colour DarkSlateGray

#-------------------------------------------------------------------
# Colours used in this conkyrc and associated template
#-------------------------------------------------------------------
color1 Tan1
# color1 white
color2 Gray
color3 white
color4 DarkSlateGray
color5 yellow
color7 darkgrey
color8 cyan

maximum_width 470
minimum_size 470 1

use_xft yes
xftalpha 0.8
#-----------------------------------------------------------
# Change the xftfont size value if the template is not
# appearing aligned
#-----------------------------------------------------------
xftfont DejaVu Sans Mono:size=12

total_run_times 0

# top left alignment
gap_x 0
gap_y 33
# bottom left alignment
# gap_x 6
# gap_y -240


text_buffer_size 4500
update_interval 3

short_units yes
imlib_cache_size 0

#-----------------------------------------------------------
# template0 points to the main program conkywx
#-----------------------------------------------------------
template0 ./conkywx.sh
# template0 "\"/usr/bin/conkywx
# template0 "\"/usr/share/conkyw/usr/share/conkywx/conkywx.sh

#-----------------------------------------------------------
# template1 points to the conkywx config file
# single config file for both image and font templates
#-----------------------------------------------------------
template1 ./examples/conkywx-02.conf

#-----------------------------------------------------------
# template2 points to the template to use
# comment the template you do not want to use
#-----------------------------------------------------------
template2 ./examples/now-font-template.sh
# template2 ./examples/now-image-template.sh

#-----------------------------------------------------------
# location of wxalert file - conkywx tmp directory for the used conkywx config file
# IMPORTANT do not comment this line - even if you do not use it
#-----------------------------------------------------------
template3 /tmp/wx-param-conkywx-now.conf-pChA_r_27u0-m39/wxalert

TEXT
${execpi 3600 ${template0} -c ${template1} -t ${template2}}


${if_match "${exec echo "$( if [[ $(echo "${template2}" | grep font) != "" ]]; then echo "font"; fi )"}" == "font"}${voffset -10}${else}${voffset -100}${endif}${font DejaVu Sans Mono:bold:size=11}${if_existing "${template3}"}\
${color8}Weather Alert: ${if_match ${execi 60 expr length "$(cat "${template3}")"}>=32}\
${color5}${scroll 30 10 ${execi 60 cat "${template3}"}}${else}\
${color5}${execi 60 cat "${template3}"}${endif}${endif}${font}
