alignment bm

default_color white
default_outline_color black
default_shade_color black
double_buffer yes

draw_borders no
draw_graph_borders no
draw_outline no
draw_shades yes

no_buffers yes
override_utf8_locale yes

own_window yes
#-----------------------------------------------------------
# change this if you are not getting any conky display
# options are: normal, desktop, dock, panel or override (default: normal)
#-----------------------------------------------------------
own_window_type normal
#-----------------------------------------------------------
# uncomment below hints line if not using override
#-----------------------------------------------------------
own_window_hints below,sticky,undecorated,skip_taskbar,skip_pager

# own_window_colour black
own_window_transparent yes

# ARGB can be used for real transparency,
# note that a composite manager is required for real transparency
# own_window_argb_visual true

# Set the transparency alpha value from 0 to 255
# own_window_argb_value 160

# color defs - change as required
color1 Tan1
color2 Gray
color3 White
color4 DarkSlateGray
color5 yellow
color6 black
color7 darkgrey
color8 cyan

maximum_width 590
minimum_size 500 1

use_xft yes
xftalpha 0.8
#-----------------------------------------------------------
# Change the xftfont size value if the template is not
# appearing aligned
#-----------------------------------------------------------
xftfont DejaVu Sans Mono:size=12

total_run_times 0

gap_x 0
gap_y 0

text_buffer_size 2000
update_interval 2

short_units yes

#-----------------------------------------------------------
# Load lua component of conkywx
#-----------------------------------------------------------
lua_load /usr/share/conkywx/lib/conkywx.lua


#-----------------------------------------------------------
# template0 points to the main program conkywx
#-----------------------------------------------------------
template0 ./conkywx.sh

#-----------------------------------------------------------
# template1 points to the conkywx config file
# single config file for both image and font templates
#-----------------------------------------------------------
template1 ./examples/conkywx-02.conf

#-----------------------------------------------------------
# template2 points to the template to use
# comment the template you do not want to use
#-----------------------------------------------------------
template2 ./examples/scroller-template.sh

#-----------------------------------------------------------
# location of wxalert file and conkywx_scroller file
# conkywx tmp directory for the used conkywx config file
#-----------------------------------------------------------
template3 /tmp/wx-param-scroller-conkywx.conf-pChA_r_27u0-m39/wxalert
template4 /tmp/wx-param-scroller-conkywx.conf-pChA_r_27u0-m39/wxconkywx_scroller

#-----------------------------------------------------------
# IMPORTANT scroller-conkywx.conf has a variable exclusive to this
# template do_not_output_to_conky=1 must be set to 1 and do not comment
#-----------------------------------------------------------


TEXT
${execpi 3600 ${template0} -c ${template1} -t ${template2}}##
#### For non lua configurations un comment the line below
# ${voffset 15}${image /usr/share/conkywx/images/bgrounds/system-brown-rnd-light.png -p -2,29 -s 590x55}
#### For non lua configurations comment the line below
#### NOTE: Use lua - it is very liberating :-)
${voffset -15}${lua main -n background -r 25 -c 0x000000:0.2 -p NA,NA}
# --------------------------------------------------------------------
# CONKYWX weather from wunderground
# --------------------------------------------------------------------
#### For non lua configurations un comment the line below
# ${font DejaVu Sans Mono:bold:size=11}${color1}Weather Real${if_existing ${template3}} \
# ${color8}Alert: ${if_match ${execi 60 expr length "$(cat ${template3})"}>=32}\
# ${color5}${scroll 30 10 ${execi 60 cat ${template3}}}${else}\
# ${color5}${execi 60 cat ${template3}}${endif}${endif} ${color4}${hr 2}${font}
# ${font DejaVu Sans Mono:size=11}${voffset 5}${color3}${alignc}${scroll 55 10 ${execi 60 cat ${template4}}}${font}
#### For non lua configurations comment the line below
${font :style=Bold:size=11}${color1}Weather Real:${if_existing ${template3}} \
${color8}Alert:${lua main -n scroller -f 12 -l 45 -s 5 -p 175,18 -o ${template3}} ${else}${color4}${hr 2}${color8}${endif}${font}
${if_existing ${template4}}${lua main -n scroller -f 14 -l 61 -s 5 -p 7,38 -o ${template4}}${endif}
${color4}${hr 2}
